#ifndef DEFS_H
#define DEFS_H


/*
Global definitions
*/


//Parameters for OrderMaker and CNF classes
#define MAX_ANDS 20
#define MAX_ORS 20

//Page size in DBO data files
#define PAGE_SIZE 131072

//Pipe buffer size
#define PIPE_BUFFERSIZE 10000

//Parameters for Comparison class

/*
The source of the comparison operand:
- Left record
- Right record
- Literal
*/
enum Target {Left, Right, Literal};
//Comparison operator
enum CompOperator {LessThan, GreaterThan, Equals};
//Type of operand
enum Type {Int, Double, String};


/*
Function generates a random seed (used for hashing)
It returns the generated random number
*/
unsigned int Random_Generate();


#endif

