#!/bin/bash

for i in `seq $1 $2`; do
	./RandomOrderTool.out ../Tables/orders.bin ./data/orders.bin mySchema orders
	echo "random orders done"
	./RandomOrderTool.out ../Tables/lineitem.bin ./data/lineitem.bin mySchema lineitem
	echo "random lineitem done"
	./RandomOrderTool.out ../Tables/customer.bin ./data/customer.bin mySchema customer
	echo "random customer done"
	./RandomOrderTool.out ../Tables/partsupp.bin ./data/partsupp.bin mySchema partsupp
	echo "random partsupp done"
	./RandomOrderTool.out ../Tables/supplier.bin ./data/supplier.bin mySchema supplier
	echo "random supplier done"
	./RandomOrderTool.out ../Tables/part.bin ./data/part.bin mySchema part
	echo "random part done"
	./RandomOrderTool.out ../Tables/nation.bin ./data/nation.bin mySchema nation
	echo "random nation done"
	./RandomOrderTool.out ../Tables/region.bin ./data/region.bin mySchema region
	echo "random region done"

	./main9Turbo.out mySchema 0.95 < Q1 >> Q1-${i}.res
	echo "Q1 done"
	./main9Turbo.out mySchema 0.95 < Q2 >> Q2-${i}.res
	echo "Q2 done"
	./main9Turbo.out mySchema 0.95 < Q3 >> Q3-${i}.res
	echo "Q3 done"
	./main9Turbo.out mySchema 0.95 < Q4 >> Q4-${i}.res
	echo "Q4 done"
	./main9Turbo.out mySchema 0.95 < Q5 >> Q5-${i}.res
	echo "Q5 done"
	./main9Turbo.out mySchema 0.95 < Q6 >> Q6-${i}.res
	echo "Q6 done"
	./main9Turbo.out mySchema 0.95 < Q7 >> Q7-${i}.res
	echo "Q7 done"
	./main9Turbo.out mySchema 0.95 < Q8 >> Q8-${i}.res
	echo "Q8 done"
	./main9Turbo.out mySchema 0.95 < Q9 >> Q9-${i}.res
	echo "Q9 done"

done

